"use strict";
var request = require("request");
var introspectionQuery_1 = require("graphql/utilities/introspectionQuery");
exports.introspectionFromUrl = function (url) {
    return new Promise(function (resolve, reject) {
        request.post({
            url: url,
            json: {
                query: introspectionQuery_1.introspectionQuery
            },
            headers: {
                'Accept': 'application/json',
                'Content-Type': 'application/json'
            }
        }, function (err, response, body) {
            if (err) {
                reject(err);
                return;
            }
            var bodyJson = body.data;
            if (!bodyJson || (bodyJson.errors && bodyJson.errors.length > 0)) {
                reject('Unable to download schema from remote: ' + bodyJson.errors.map(function (item) { return item.message; }).join(', '));
                return;
            }
            resolve(bodyJson);
        });
    });
};
//# sourceMappingURL=introspection-from-url.js.map